System.Design 2.0.0.0 System.Xml.Serialization.Advanced.SchemaImporterExtension

Expands upon the to provide additional functionality for typed datasets.

Generates internal mappings to .NET Framework types for XML schema element declarations, including literal XSD message parts in a WSDL document.

- Constructor
  2.0.0.0

  Expands upon the to provide additional functionality for typed datasets and generates internal mappings to .NET Framework types for XML schema element declarations, including literal XSD message parts in a WSDL document.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
- Method
  2.0.0.0
  System.String `` `` `` `` `` `` `` ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Expands upon the to provide additional functionality for typed datasets and generates internal mappings to .NET Framework types for XML schema element declarations, including literal XSD message parts in a WSDL document.

  Generates internal type mapping information for an element defined in an XML schema document.

  Returns a representing the name of the typed dataset class.

  XMLSchemaType An that represents the root class for the Xml schema object model hierarchy and serves as a base class for classes such as the XmlSchema class. An class that represents a collection of XML schemas. The base that generates internal mappings to .NET Framework types for XML schema element declarations, including literal XSD message parts in a WSDL document. The to contain the generated code. CodeNamespace The that specifies various options to use when generating .NET Framework types for use with an XML Web service. The language specific to use to generate the dataset.
- Method
  2.0.0.0
  System.String `` `` `` `` `` `` `` `` ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Expands upon the to provide additional functionality for typed datasets and generates internal mappings to .NET Framework types for XML schema element declarations, including literal XSD message parts in a WSDL document.

  Generates internal type mapping information for an element defined in an XML schema document.

  Returns a representing the name of the typed dataset class.

  A representing the name of the schema to import. A representing the namespace of the XML schema. An that represents the root class for the XML schema object model hierarchy and serves as a base class for classes such as the XmlSchema class. An class that represents a collection of XML schemas. The base that generates internal mappings to .NET Framework types for XML schema element declarations, including literal XSD message parts in a WSDL document. The to contain the generated code. The that contains the generated dataset. The that specifies various options to use when generating .NET Framework types for use with an XML Web service. The language specific to use to generate the dataset.